import { store } from 'quasar/wrappers';
import { createStore } from 'vuex';
import { UserStateInterface } from 'src/plugins/user/store/user';
import { SessionStateInterface } from 'src/plugins/user/store/session';

export interface StateInterface {
  user: UserStateInterface;
  session: SessionStateInterface;
  [key: string]: unknown;
}

export default store(function (/* { ssrContext } */) {
  const Store = createStore({
    modules: {},

    // enable strict mode (adds overhead!)
    // for dev mode and --debug builds only
    strict: !!process.env.DEBUGGING,
  });

  return Store;
});
